Results 1 to 2 of 2

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Tried everywhere else, Help me Obi-Wan.......

  1. #1
    Unhappy Tried everywhere else, Help me Obi-Wan.......
    Ok, this may get a little wordy but I desperately need some help. I have tried to search everywhere online over the past couple days and found this is the most resourceful site with the most knowledgeable users.

    This is where the details gets quite involved, but I am hoping somebody is up to the challenge.

    I purchased the iPhone in Feb this year and am unaware of how it was JB'd, but I know it was not Spirit. Anyway, the specs are 3GS that was JB running 3.1.2, MC13711, 05.11.07 and everything was super groovy through all of the iTunes updates (including 9.2).

    When iOS 4 came out, I waited for the official JB from Dev Team (who are absolutely awesome). As soon as PwnageTool 4.0 (not 4.0.1, I managed to do this in the small window between the two) came out, I jumped on it. Had everything I needed, I downloaded the firmware file (custom) and went through all the steps. Worked like a charm, I had everything working....except of course iBooks which doesn't matter to me on my iPhone. Well I made a big boo boo and installed Rock, Winterboard via Rock(before it was 4.0 friendly) and tried to put my LockInfo back on. Well my 3GS didn't like it and put it in Safe Mode, so after reading that certain apps weren't compatible yet, I accidentally uninstalled Rock before uninstalling Winterboard and LockInfo, so even after reinstalling and uninstalling winterboard and lockinfo, I am stuck in perpetual Safe Mode.

    So, iPhone has SHSHs on file for 3.1.3 (which previous owner must have upgraded before he put it back down to 3.1.2). I have tried downgrading, downloading 3.1.2 firmware, changing the hosts file on my mac, tried in both DFU and normal recovery mode and kept get the ineligible build error. But I am thinking that the "not eligible for this build" error message is due to not having SHSHs for 3.1.2 stored on Cydia.

    I tried to be as thorough as possible before telling what I'd like to do. I am not concerned with upgrading to iOS 4 again until a JB/Unlock comes out for iPhone 4 (cause I won't buy one until then) and that may take quite a while due to the different modem in the 4.

    I want to downgrade to either 3.1.2 (which I believe I am SOL) or 3.1.3 so I can have all my goodies back. I keep reading that the only way you can JB 3.1.3 is Spirit, but I have come across Pwnagetool 3.1.5 and some others. I am also concerned because I want to be able to have the option to upgrade to 4.0 again in the future, right before I sell it. OR I am willing to stay with 4.0 if it can all be worked out and get me out of safe mode with some reinstall of something.

    Again sorry for the wordiness, but after reading pages upon pages of everything, I haven't found the solution to my involved problem. If someone can help, I would greatly appreciate it.

  2. #2
    I'd just reinstall the custom iOS4 firmware and then install packages that are on the compatibility list.

    Otherwise install a custom 3.1.3.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •